import {postAction,getAotion,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 获取佣金申请数据
let applyDataList = (params) => postAction(prefix + "/bonus/applyDataList" , params);

// 发起申请生成订单
let productOrder = (params) => postAction(prefix + "/bonus/productOrder" , params);

// 获取佣金申请单
let applyOrderList = (params) => postAction(prefix + "/bonus/applyOrderList" , params);

// 再次申请
let updateState = (params) => postAction(prefix + "/bonus/updateState" , params);

// 获取申请单审核列表
let auditOrderList = (params) => postAction(prefix + "/bonus/auditOrderList" , params);

// 审核申请
let auditApply = (params) => postAction(prefix + "/bonus/auditApply" , params);

// 获取县分下拉列表
let getSubstList = (params) => postAction(prefix + "/school/schoolManagement/substList" , params);

// 获取学校下拉列表
let getSchoolList = (params) => postAction(prefix + "/school/schoolManagement/schoolList" , params);

// 审核申请
let bonusList = (params) => postAction(prefix + "/bonus/bonusList" , params);

// 审核申请
let sendBonus = (params) => postAction(prefix + "/bonus/sendBonus" , params);

// 导出结算结果
let exportResult = (params) => downFilePost(prefix + "/bonus/exportResult" , params);

// 导出奖励结算清单
let exportSettlementList = (params) => downFilePost(prefix + "/bonus/exportSettlementList" , params);


export {
    applyDataList,productOrder,applyOrderList,updateState,auditOrderList,auditApply,
    getSubstList,getSchoolList,exportSettlementList,bonusList,sendBonus,exportResult
}
